package com.ruoyi.system.service.fgw;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.fgw.FgwXmsb;

import java.util.List;

/**
 * 发改委_申报_主Service接口
 * 
 * @author boman
 * @date 2023-03-22
 */
public interface IFgwXmsbService 
{
    /**
     * 查询发改委_申报_主
     * 
     * @param id 发改委_申报_主主键
     * @return 发改委_申报_主
     */
    public FgwXmsb selectFgwXmsbById(Long id);

    /**
     * 查询发改委_申报_主列表
     * 
     * @param fgwXmsb 发改委_申报_主
     * @return 发改委_申报_主集合
     */
    public List<FgwXmsb> selectFgwXmsbList(FgwXmsb fgwXmsb);
    //统计多少合格的项目
    public List<FgwXmsb> selectFgwXmsbListTj(FgwXmsb fgwXmsb);

    /**
     * 新增发改委_申报_主
     * 
     * @param fgwXmsb 发改委_申报_主
     * @return 结果
     */
    public int insertFgwXmsb(FgwXmsb fgwXmsb);

    /**
     * 修改发改委_申报_主
     * 
     * @param fgwXmsb 发改委_申报_主
     * @return 结果
     */
    public AjaxResult updateFgwXmsb(FgwXmsb fgwXmsb);

    /**
     * 批量删除发改委_申报_主
     * 
     * @param ids 需要删除的发改委_申报_主主键集合
     * @return 结果
     */
    public int deleteFgwXmsbByIds(Long[] ids);

    /**
     * 删除发改委_申报_主信息
     * 
     * @param id 发改委_申报_主主键
     * @return 结果
     */
    public int deleteFgwXmsbById(Long id);

    List<FgwXmsb> ldpsList(FgwXmsb fgwXmsb);

    AjaxResult selectFgwXmsbListAll(FgwXmsb fgwXmsb);

    List<FgwXmsb> xmyjList(FgwXmsb fgwXmsb);

    List<FgwXmsb> cqxmList(FgwXmsb fgwXmsb);
}
